apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: example
  name: spa
  labels:
    app: spa
    source: becomingtech
spec:
  replicas: 1
  selector:
    matchLabels:
      app: spa
      source: becomingtech
  template:
    metadata:
      labels:
        app: spa
        source: becomingtech
    spec:
      containers:
      - name: spa
        image: becoming/example-spa
        imagePullPolicy: Always
        ports:
          - containerPort: 80
        env:
          - name: ENV_NAME
            value: DEV
          - name: ENV_STRING_VALUE
            value: "Hello from Kubernetes!"
          - name: ENV_BOOL_VALUE
            value: "true"
          - name: ENV_INT_VALUE
            value: "69"
          - name: ENV_FLOAT_VALUE
            value: "36.6"
        resources:
          requests:
            memory: "64Mi"
            cpu: "100m"
          limits:
            memory: "1024Mi"
            cpu: "1000m"
        livenessProbe:
          httpGet:
            path: /
            port: 80
          initialDelaySeconds: 5
          periodSeconds: 10
